数据提供商: Ahrefs
Ahrefs 排名页面历史
$0.055 / 次调用在 75 秒内响应
根据Ahrefs的数据,某个域名或URL在自然搜索中的排名页面每月有多少页?这些数据会按照日期以及每月的排名页面数量进行展示。返回最多一年范围内的月度数据点。空报告会被视为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Ahrefs endpoint /v3/site-explorer/pages-history on Glasser.bash
glasser run -p ahrefs -e '/v3/site-explorer/pages-history' -i '{"target":"ahrefs.com","date_to":"2026-09-01","date_from":"2025-09-01"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"ahrefs","endpoint":"/v3/site-explorer/pages-history","input":{"target":"ahrefs.com","date_to":"2026-09-01","date_from":"2025-09-01"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
审阅域名的 SEO 表现时,可以汇总可用指标,形成研究笔记中的概况。
复制此提示词到你的 Agent,整理域名的 SEO 概况。
提示词
Use ahrefs:/v3/site-explorer/pages-history on Glasser.
Pull returned SEO metrics for my domain into a research snapshot.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"target",
"date_from",
"date_to"
],
"properties": {
"mode": {
"enum": [
"exact",
"prefix",
"domain",
"subdomains"
],
"type": "string"
},
"target": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"country": {
"enum": [
"ad",
"ae",
"af",
"ag",
"ai",
"al",
"am",
"ao",
"ar",
"as",
"at",
"au",
"aw",
"az",
"ba",
"bb",
"bd",
"be",
"bf",
"bg",
"bh",
"bi",
"bj",
"bn",
"bo",
"br",
"bs",
"bt",
"bw",
"by",
"bz",
"ca",
"cd",
"cf",
"cg",
"ch",
"ci",
"ck",
"cl",
"cm",
"cn",
"co",
"cr",
"cu",
"cv",
"cy",
"cz",
"de",
"dj",
"dk",
"dm",
"do",
"dz",
"ec",
"ee",
"eg",
"es",
"et",
"fi",
"fj",
"fm",
"fo",
"fr",
"ga",
"gb",
"gd",
"ge",
"gf",
"gg",
"gh",
"gi",
"gl",
"gm",
"gn",
"gp",
"gq",
"gr",
"gt",
"gu",
"gy",
"hk",
"hn",
"hr",
"ht",
"hu",
"id",
"ie",
"il",
"im",
"in",
"iq",
"is",
"it",
"je",
"jm",
"jo",
"jp",
"ke",
"kg",
"kh",
"ki",
"kn",
"kr",
"kw",
"ky",
"kz",
"la",
"lb",
"lc",
"li",
"lk",
"ls",
"lt",
"lu",
"lv",
"ly",
"ma",
"mc",
"md",
"me",
"mg",
"mk",
"ml",
"mm",
"mn",
"mq",
"mr",
"ms",
"mt",
"mu",
"mv",
"mw",
"mx",
"my",
"mz",
"na",
"nc",
"ne",
"ng",
"ni",
"nl",
"no",
"np",
"nr",
"nu",
"nz",
"om",
"pa",
"pe",
"pf",
"pg",
"ph",
"pk",
"pl",
"pn",
"pr",
"ps",
"pt",
"py",
"qa",
"re",
"ro",
"rs",
"ru",
"rw",
"sa",
"sb",
"sc",
"se",
"sg",
"sh",
"si",
"sk",
"sl",
"sm",
"sn",
"so",
"sr",
"st",
"sv",
"td",
"tg",
"th",
"tj",
"tk",
"tl",
"tm",
"tn",
"to",
"tr",
"tt",
"tw",
"tz",
"ua",
"ug",
"us",
"uy",
"uz",
"vc",
"ve",
"vg",
"vi",
"vn",
"vu",
"ws",
"ye",
"yt",
"za",
"zm",
"zw"
],
"type": "string"
},
"date_to": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"maxLength": 10,
"minLength": 1
},
"protocol": {
"enum": [
"both",
"http",
"https"
],
"type": "string"
},
"date_from": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"maxLength": 10,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"target": "ahrefs.com",
"date_to": "2026-09-01",
"date_from": "2025-09-01"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.055 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |